regina::detail::FaceNumberingImpl< dim, subdim, false > Class Template Reference
Implementation details
Inheritance diagram for regina::detail::FaceNumberingImpl< dim, subdim, false >:

## Static Public Member Functions

static Perm< dim+1 > | ordering (unsigned face)
| Given a subdim-face number within a dim-dimensional simplex, returns the corresponding canonical ordering of the simplex vertices. More...
static unsigned | faceNumber (Perm< dim+1 > vertices)
| Identifies which subdim-face in a dim-dimensional simplex is represented by the first (subdim + 1) elements of the given permutation. More...
static bool | containsVertex (unsigned face, unsigned vertex)
| Tests whether the given subdim-face of a dim-dimensional simplex contains the given vertex of the simplex. More...

## Static Public Attributes

static constexpr int | nFaces
| The total number of subdim-dimensional faces in each dim-dimensional simplex. More...

The documentation for this class was generated from the following file:

- triangulation/detail/facenumbering.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).